//qlabel_doubleclick.h
#ifndef QLABEL_DOUBLECLICK_H_
#define QLABEL_DOUBLECLICK_H_

#include <QLabel>
#include <QMouseEvent>
#include <QKeyEvent>
#include <QTimer>

class db_label : public QLabel
{
    Q_OBJECT

public:
	db_label(QWidget *parent = 0);
    ~db_label();

    void mouseDoubleClickEvent(QMouseEvent *event);
    void mousePressEvent(QMouseEvent* event);
    void mouseReleaseEvent(QMouseEvent* event);
    void mouseMoveEvent(QMouseEvent* event);
    void keyReleaseEvent(QKeyEvent* event);
    QTimer timer;
    int    cnt = 0;
signals:
    void QlabelClick();
    void QlabelDoubleClick();
    void QlabelTripleClick();
    void SignalmouseDoubleClickEvent(QMouseEvent* event);
    void SignalmousePressEvent(QMouseEvent* event);
    void SignalmouseReleaseEvent(QMouseEvent* event);
    void SignalmouseMoveEvent(QMouseEvent* event);
    void SignalkeyReleaseEvent(QKeyEvent* event);
private slots:
    void TimeOutNotify();
};

#endif // QLABEL_DOUBLECLICK_H_